Subject: resume crashes with active cpufreq_userspace

From: Olaf Hering <[email-masked]>
Date: Wed, 12 Sep 2007 13:51:54 +0200

2.6.22.5 crashes on resume on an iBook G3 600MHz. when cpufreq_userspace is
active. System is PowerBook4,3, 750FX revision 2.3
2.6.18 crashed also on resume, but I dont know if this was the same bug.

The oopes differ. Once I get an 'Unrecoverable FP Unavailable
Exception 801' in audit_log_vformat, hald-addon-cpuf was the active task.
Only the first two function were printed in the oops backtrace.

Another one was during a pagefault in cpufreq code, while events/0 was
the active task.

Most of the time, the screen stays black with only the cursor in the
upper left corner, sometimes not even that.

Resume seems to work ok on other models, like my own ibook with 745/755
cpu, revision 51.17, PowerBook4,1